<template>
  <section id="contact">
    <div class="heading">
      <h1><b>CONTACT</b></h1>
      <p class="text-center">
        Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex
        aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos
        quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat
        sit in iste officiis commodi quidem hic quas.
      </p>
    </div>
    <el-container>
      <el-row>
        <el-col :lg="10" :xs="24" :md="10">
          <el-card class="first-card">
            <div class="contact-details">
              <div>
                <img src="@/assets/images/icons8-location-24.png" />
              </div>
              <div>
                <h1 class="text-left">Location:</h1>
                <h6>A108 Adam Street, New York, NY 535022</h6>
              </div>
            </div>
            <div class="contact-details">
              <div>
                <img src="@/assets/images/icons8-gmail-logo-32.png" />
              </div>
              <div>
                <h1 class="text-left">Email:</h1>
                <h6>info@example.com</h6>
              </div>
            </div>
            <div class="contact-details">
              <div>
                <img src="@/assets/images/icons8-smartphone-24.png" />
              </div>
              <div>
                <h1 class="text-left">Call:</h1>
                <h6>+1 5589 55488 55s</h6>
              </div>
            </div>
            <div class="map">
              <iframe
                src="https://www.google.com/maps/embed?pb=!1m16!1m12!1m3!1d6643.979812459208!2d-74.01325337512267!3d40.71004307163691!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!2m1!1sdowntown%20conference%20center!5e0!3m2!1sen!2sin!4v1677162624441!5m2!1sen!2sin"
                width="100%"
                height="450"
                style="border: 0"
                allowfullscreen=""
                loading="lazy"
                referrerpolicy="no-referrer-when-downgrade"
              ></iframe>
            </div>
          </el-card>
        </el-col>
        <el-col :lg="14" :xs="24" :md="14">
          <el-card class="second-card">
            <div class="person-details">
              <div class="enter-details">
                <label>Your Name</label>
                <input
                  type="text"
                  name="name"
                  class="form-control"
                  style="width: 100%"
                />
              </div>
              <div class="enter-details">
                <label>Your Email</label>
                <input
                  type="text"
                  name="name"
                  class="form-control"
                  style="width: 100%"
                />
              </div>
            </div>
            <div class="enter-details">
              <label>Subject</label>
              <input type="text" name="name" class="form-control" />
            </div>
            <div class="enter-details">
              <label>Message</label>
              <textarea rows="24"></textarea>
            </div>
            <div class="btn">
              <button class="section-12-btn btn-primary">Send Message</button>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-container>
  </section>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style lang="scss">
#contact {
  padding: 2% 5%;
  .el-container {
    display: block;
  }
  .heading {
    text-align: center;
    padding-bottom: 2rem;
    h1 {
      text-align: center;
      font-size: 30px;
    }
  }
  .el-row {
    .first-card {
      border-top: 3px solid #47b2e4;
      border-bottom: 3px solid #47b2e4;
      margin-right: 20px;
      padding: 2%;
      .contact-details {
        display: flex;
        align-items: center;
        margin-bottom: 2rem;

        h1 {
          font-size: 20px;
          text-align: left;
          margin-left: 20px;
          margin-bottom: 0;
          margin-top: 0;
          color: #37517e;
        }
        h6 {
          font-size: 14px;
          color: #6182ba;
          margin-left: 20px;
          margin-bottom: 0;
          margin-top: 0;
        }
        img {
          width: 40px;
          height: 40px;
          border-radius: 50%;

          border: 1px solid #e7f5fb;
          background-color: #e7f5fb;
          &:hover {
            background-color: #47b2e4;
            border-color: #47b2e4;
          }
        }
      }
    }
  }
  .second-card {
    text-align: left;
    display: flex;
    flex-direction: column;
    border-top: 3px solid #47b2e4;
    border-bottom: 3px solid #47b2e4;
    padding: 2%;
    .person-details {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      margin-bottom: 20px;
      font-size: 1rem;
    }
    .enter-details {
      display: flex;
      flex-direction: column;
      margin-bottom: 20px;
      label {
        margin-bottom: 10px;
      }
      input {
        height: 40px;
        border-radius: 5px;
        width: 100%;
        border: 1px solid #ced4da;
      }
    }
    .btn {
      display: flex;
      justify-content: center;
      .section-12-btn {
        border-radius: 25px;
        color: #fff;
        border: 2px solid #209dd8;
        background-color: #47b2e4;
        padding: 15px 40px;
        border-color: #47b2e4;
        font-size: 18px;
        &:hover {
          color: white;
          background-color: #209dd8;
        }
      }
    }
  }
}

@media screen and (min-width: 320px) and(max-width:767px) {
  #contact {
    .first-card {
      margin-bottom: 30px;
      .contact-details {
        display: flex;
        text-align: center;
        margin: 20px 0;
        h1 {
          margin: 0 0 0 20px;
        }
        h6 {
          margin: 0 0 0 20px;
          font-size: 12px;
        }
      }
    }
    .second-card {
      .person-details {
        display: block;
      }
    }
  }
}
@media screen and (min-width: 768px) and(max-width:991px) {
  #contact {
    .first-card {
      margin-bottom: 30px;
      .contact-details {
        display: flex;
        text-align: center;
        margin: 20px 0;
        h1 {
          margin: 0 0 0 20px;
        }
        h6 {
          margin: 0 0 0 20px;
          font-size: 12px;
        }
      }
    }
    .second-card {
      .personal-details {
        display: block;
      }
    }
  }
}
</style>
